## org.biojava.bio.program.gff
Interface GFFErrorHandler

All Known Implementing Classes:
  GFFErrorHandler.AbortErrorHandler, GFFErrorHandler.SkipRecordErrorHandler

public interface GFFErrorHandler

Interface which captures any errors which occur when parsing a GFF stream. Providing a custom implementation of this interface allows intelligent recovery from errors when parsing GFF.

Each of these methods has three options:

- Throw a ParserException. This need only contain a detail message, the parser will fill in other fields. parsing will be aborted.
- Throw an IgnoreRecordException. This line of the GFF file will be ignored, but parsing will not be aborted
- Return a value for the field.

Author:
  Thomas Down, Matthew Pocock

Inner Class Summary
`static class` `GFFErrorHandler.AbortErrorHandler`
`static class` `GFFErrorHandler.SkipRecordErrorHandler`

Field Summary
`static GFFErrorHandler` `ABORT_PARSING`
`static GFFErrorHandler` `SKIP_RECORD`

Method Summary
`int` `invalidEnd(java.lang.String token)` The `end' field of the GFF entry was not a valid value.
`int` `invalidFrame(java.lang.String token)` The `frame' field of the GFF entry was not a valid value.
`double` `invalidScore(java.lang.String token)` The `score' field of the GFF entry was not a valid value.
`int` `invalidStart(java.lang.String token)` The `start' field of the GFF entry was not a valid value.
`StrandedFeature.Strand` `invalidStrand(java.lang.String token)` The `strand' field of the GFF entry was not a valid value.

Field Detail

### ABORT_PARSING

    public static final GFFErrorHandler ABORT_PARSING

### SKIP_RECORD

    public static final GFFErrorHandler SKIP_RECORD

Method Detail

### invalidStart

    public int invalidStart(java.lang.String token)
                     throws ParserException,
                            IgnoreRecordException

  The `start' field of the GFF entry was not a valid value.
  Parameters:
    `token` - The start token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidEnd

    public int invalidEnd(java.lang.String token)
                   throws ParserException,
                          IgnoreRecordException

  The `end' field of the GFF entry was not a valid value.
  Parameters:
    `token` - The end token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidScore

    public double invalidScore(java.lang.String token)
                        throws ParserException,
                               IgnoreRecordException

  The `score' field of the GFF entry was not a valid value.
  Parameters:
    `token` - The score token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidFrame

    public int invalidFrame(java.lang.String token)
                     throws ParserException,
                            IgnoreRecordException

  The `frame' field of the GFF entry was not a valid value.
  Parameters:
    `token` - The frame token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidStrand

    public StrandedFeature.Strand invalidStrand(java.lang.String token)
                                         throws ParserException,
                                                IgnoreRecordException

  The `strand' field of the GFF entry was not a valid value.
  Parameters:
    `token` - The strand token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.